Migration (migration tool) failed - please help me

Discussion in 'Plugins/Modules/Addons' started by czdavid, Jun 23, 2018.

  1. czdavid

    czdavid Member

    Hello,
    I need migrate old ispconfig server to new one fast. Please, help me. Migration log attached.
    I think, that there is some problem in old serveer cofiguration.

    Old server ispconfig 3.0.5.4p8 (Debian GNU/Linux 6.0) - PHP 5.3
    new server ispconfig 3.1dev (based on tutorial for Ubuntu 18.04)
     

    Attached Files:

  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Are you sure you followed the instructions the Migration Tool gives about domain module? Or was that only in the old version of Migration Tool?

    Perhaps try with dry-run again and carefully answer the questions and do the stuff it commands to do.
     
  3. czdavid

    czdavid Member

    I take care of each step of migration tutorial. I have newest version of migration tool. I tried dry run twice before - everything was fine in dry run.

    It could be connected to this - when I detele domain in old ispconfig I get this warning: Parent domain not found
    This warning was produced by migration tool too... what does this warning mean?
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Could you double check that your remote user has all the checkboxes selected.
    Maybe the dev version of ISPConfig on target server is causing trouble? What was the reason for using it?
    E-mailing to migsupport will help you,maybe faster than forum.
     
  5. czdavid

    czdavid Member

    dev version was part of tutorial for Ubuntu 18.04 :-/ I notice this after installation.
     
  6. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Was that before ISPConfig 3.1.12 was released? If yes maybe upgrade to the stable version.
     
  7. czdavid

    czdavid Member

    That is maybe solution ... I will try. Thank you!

    There is lot of errors:
    API call to sites_web_domain_get failed.
    API call to sites_database_get failed.
    API call to sites_database_add failed.

    Is it target or source server problem? I guess target server? Maybe some default query limit for DB or something?
     
  8. czdavid

    czdavid Member

    That is maybe solution ... I will try. Thank you!

    There is lot of errors:
    API call to sites_web_domain_get failed.
    API call to sites_database_get failed.
    API call to sites_database_add failed.

    Log record:
    Code:
     JSON API ERROR in API call (sites_database_user_get): HTTP CODE 500
    Is it target or source server problem? I guess target server? Maybe some default query limit for DB or something?
     
  9. czdavid

    czdavid Member

    I made update to 3.1.12, but still the same. Migration crashes in different time (now in the middlle of FTP users adding and continue to the end of migrations - migration cant even create DB users (API errors).

    Migration error on source server:

    Code:
    API call to sites_database_user_get failed
    API call to sites_database_user_add failed
    Apache error log on target server:
    Code:
    [client IP:47183] mod_fcgid: stderr: PHP Fatal error:  Uncaught Error: Class 'SoapFault' not found in /usr/local/ispconfig/interface/lib/classes/remoting.inc.php:531
    [Sat Jun 23 23:41:33.863218 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr: Stack trace:
    [Sat Jun 23 23:41:33.863222 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr: #0 /usr/local/ispconfig/interface/lib/classes/remoting.inc.php(493): remoting->getSession('f4b76e00e5fbeeb...')
    [Sat Jun 23 23:41:33.863225 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr: #1 /usr/local/ispconfig/interface/lib/classes/remote.d/sites.inc.php(216): remoting->checkPerm('f4b76e00e5fbeeb...', 'sites_database_...')
    [Sat Jun 23 23:41:33.863228 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr: #2 /usr/local/ispconfig/interface/lib/classes/json_handler.inc.php(117): remoting_sites->sites_database_user_add('f4b76e00e5fbeeb...', '39', Array)
    [Sat Jun 23 23:41:33.863231 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr: #3 /usr/local/ispconfig/interface/web/remote/json.php(17): ISPConfigJSONHandler->run()
    [Sat Jun 23 23:41:33.863234 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr: #4 {main}
    [Sat Jun 23 23:41:33.863236 2018] [fcgid:warn] [pid 34236] [client IP:47183] mod_fcgid: stderr:   thrown in /usr/local/ispconfig/interface/lib/classes/remoting.inc.php on line 531
    
     
  10. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Maybe the php soap package is missing, try to install it.
     
  11. czdavid

    czdavid Member

    No, there is php soap package installed. Process crashes in different time each time... i manage transfer clients,web,databases,mail,ftp - by selecting for migration one each time. There is definitelly some kind of error in migration tool or limit... cache... etc... I have on server few hundreds of website and over 700 mail accounts. I am syncing data now. After that I have to try migrate dns records.
     
  12. till

    till Super Moderator Staff Member ISPConfig Developer

    The error you posted clearly shows that the SOAP module is missing:

    Code:
    [client IP:47183] mod_fcgid: stderr: PHP Fatal error:  Uncaught Error: Class 'SoapFault' not found in /usr/local/ispconfig/interface/lib/classes/remoting.inc.php:531
    and as you can see, the error is thrown in ISPConfig on the new server and not in the migration tool. The migration tool that you run on the old server just reports back to you that the new server failed, not more or less, that's not an error in the migration tool.

    If you need further help with the tool, then please contact the Migration tool support:

    http://www.ispconfig.org/get-support/?type=migration
     
  13. budgierless

    budgierless Member

    i had same issue, use:
    apt-get install php-soap php7.2-soap
     
  14. That actually depends on the php version that is being used by the vhost. Could also be php7.1-soap/php7.0-soap/php5-soap/php5.6-soap etc etc etc
     
  15. budgierless

    budgierless Member

    well he did say ubuntu 18.04 which for the most part uses php7.2, but im sure he can work out what php he is using!!
     
    Stephan Ververda likes this.
  16. Missed the ubuntu 18.04 part... oops :)
     

Share This Page